Module | Bio::FlatFileIndex::BDBdefault
In: | lib/bio/io/flatfile/bdb.rb

### Methods

flag_append flag_read flag_write permission

### Public Instance methods

flag_append()

[Source]

        # File lib/bio/io/flatfile/bdb.rb, line 37
    37:       def flag_append
    38:         'r+'
    39:       end

flag_read()

[Source]

        # File lib/bio/io/flatfile/bdb.rb, line 27
    27:       def flag_read
    28:         BDB::RDONLY
    29:       end

flag_write()

[Source]

        # File lib/bio/io/flatfile/bdb.rb, line 32
    32:       def flag_write
    33:         (BDB::CREATE | BDB::TRUNCATE)
    34:       end

permission()

[Source]

        # File lib/bio/io/flatfile/bdb.rb, line 22
    22:       def permission
    23:         (0666 & (0777 ^ File.umask))
    24:       end

[Validate]